<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/EqualizerImplementations/include/EqualizerImplementations/MiscDBEqualizerStorage.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_63c328d9f040c398ed3a99417a38689e.html">EqualizerImplementations</a></li><li class="navelem"><a class="el" href="dir_c3ab2912bcaa751858979eb56f868649.html">include</a></li><li class="navelem"><a class="el" href="dir_2b0702df2f3e533a62c24ce8fd2e9d93.html">EqualizerImplementations</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">MiscDBEqualizerStorage.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;<a class="el" href="_equalizer_storage_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/EqualizerStorageInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_misc_storage_interface_8h_source.html">AVSCommon/SDKInterfaces/Storage/MiscStorageInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_success_result_8h_source.html">AVSCommon/Utils/Error/SuccessResult.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for MiscDBEqualizerStorage.h:</div>
<div class="dyncontent">
<div class="center"><img src="_misc_d_b_equalizer_storage_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_misc_d_b_equalizer_storage_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_misc_d_b_equalizer_storage_8h" id="_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_misc_d_b_equalizer_storage_8h">
<area shape="rect" id="node4" href="_equalizer_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerStorageInterface.h" alt="" coords="259,119,487,157"/>
<area shape="rect" id="node5" href="_success_result_8h.html" title="AVSCommon/Utils/Error\l/SuccessResult.h" alt="" coords="5,292,169,331"/>
<area shape="rect" id="node15" href="_misc_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Storage/MiscStorageInterface.h" alt="" coords="477,205,690,244"/>
<area shape="rect" id="node7" href="_equalizer_types_8h.html" title="EqualizerTypes.h" alt="" coords="330,212,453,237"/>
<area shape="rect" id="node6" href="_result_8h.html" title="Result.h" alt="" coords="52,379,122,404"/>
<area shape="rect" id="node11" href="hash_8h.html" title="AVSCommon/Utils/functional\l/hash.h" alt="" coords="193,292,384,331"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_misc_d_b_equalizer_storage_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_misc_d_b_equalizer_storage_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_misc_d_b_equalizer_storage_8hdep" id="_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_misc_d_b_equalizer_storage_8hdep">
<area shape="rect" id="node2" href="_misc_d_b_equalizer_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/MiscDBEqualizerStorage.cpp" alt="" coords="5,119,225,171"/>
<area shape="rect" id="node3" href="_misc_d_b_equalizer_storage_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/MiscDBEqualizerStorageTest.cpp" alt="" coords="250,119,498,171"/>
<area shape="rect" id="node4" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="522,125,802,164"/>
</map>
</div>
</div>
<p><a href="_misc_d_b_equalizer_storage_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_misc_d_b_equalizer_storage.html">alexaClientSDK::equalizer::MiscDBEqualizerStorage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1equalizer"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html">alexaClientSDK::equalizer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
